Bug 4852 (int-130499)

Summary: Remove Scratchboxism in wpeditor packaging
Product: [Maemo Official Applications] Utilities Reporter: Carsten Munk <carsten.munk>
Component: NotesAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: notes-bugs
Severity: normal    
Priority: Low CC: andre_klapper
Version: 5.0/(2.2009.51-1)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: All   
OS: Linux   

Description Carsten Munk (reporter) maemo.org 2009-07-29 14:44:22 UTC
SOFTWARE VERSION:
5.0-beta2 SDK

STEPS TO REPRODUCE THE PROBLEM:

Building wpeditor outside Scratchbox (Debian/Ubuntu) in typical build
environment (build-essentials and dependancies installed), see
http://www.debian.org/doc/packaging-manuals/build-essential

EXPECTED OUTCOME:

Ability to build wpeditor

ACTUAL OUTCOME:

Fails to build due to assumption that automake, autoconf and libtool is
installed in typical build environments, which Scratchbox has, but Debian,
Ubuntu and others do not - a scratchboxism (or sb-will-have-it-ism).

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

Fixing this is a matter of adding ', autoconf, automake, libtool' to
Build-Depends in wpeditor packaging. Adding this fix will make us be able to
remove the only delta to wpeditor in the packaging we have to maintain in Mer
and would allow us and others to directly use the wpeditor packaging outside of
Maemo without modification.

Use of libtool, autoconf and automake can be seen in 'autogen.sh' (autoreconf
calls it) and debian/rules rule and hence package should build-depend on them
as these tools are not part of a typical build environment.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.11)
Gecko/2009060308 Ubuntu/9.04 (jaunty) Firefox/3.0.11
Comment 1 Andre Klapper maemo.org 2009-12-31 13:57:23 UTC
This has been fixed in package
wpeditor 3.50-1+0m5
which is part of the internal build version
2009.51-8
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 2 Andre Klapper maemo.org 2010-01-14 13:41:48 UTC
(Fix not included in today's 2.2009.51-1 update => updating Version field)
Comment 3 Andre Klapper maemo.org 2010-03-15 20:56:51 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).